{
  "type": "workflow",
  "environment": {
    "client-plugin-list": ["smtkPQComponentsPlugin", "smtkPQOperationViewsPlugin"],
    "server-plugin-list": ["smtkPolygonSessionEnvironment", "smtkDelanayEnvironment"]
  },
  "task-graph": [],
  "filterList": [
    { "operation": "smtk::session::polygon::CreateModel",             "name": "create model",             "precedence":   0 },
    { "operation": "smtk::model::AddImage",                          "name": "add image",                "precedence":   1 },
    { "operation": "smtk::session::polygon::Import",                  "name": "import model",             "precedence":   2 },
    { "operation": "smtk::session::polygon::CreateVertices",          "name": "create vertices",          "precedence":   3 },
    { "operation": "smtk::session::polygon::CreateEdge",              "name": "create edge",              "precedence":   4 },
    { "operation": "smtk::session::polygon::CreateEdgeFromPoints",    "name": "create edge from points",  "precedence":   5 },
    { "operation": "smtk::session::polygon::ExtractContours",         "name": "create edge from contour", "precedence":   6 },
    { "operation": "smtk::session::polygon::CreateFaces",             "name": "create all faces",         "precedence":   7 },
    { "operation": "smtk::session::polygon::CreateFacesFromEdges",    "name": "create faces from edges",  "precedence":   8 },
    { "operation": "smtk::session::polygon::Delete",                  "name": "delete",                   "precedence":   9 },
    { "operation": "smtk::session::polygon::CleanGeometry",           "name": "clean geometry",           "precedence":  10 },
    { "operation": "smtk::session::polygon::DemoteVertex",            "name": "demote vertex",            "precedence":  11 },
    { "operation": "smtk::session::polygon::TweakEdge",               "name": "reshape edge",             "precedence":  12 },
    { "operation": "smtk::session::polygon::SplitEdge",               "name": "split edge",               "precedence":  13 },
    { "operation": "smtk::model::AssignColors",                      "name": "assign colors",            "precedence":  14 }
  ]
}
